% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_format_check.R
\name{misc_format_check}
\alias{misc_format_check}
\title{Miscellaneous Format Check}
\usage{
misc_format_check(DD.dict, DS.data, verbose = TRUE)
}
\arguments{
\item{DD.dict}{Data dictionary.}

\item{DS.data}{Data set.}

\item{verbose}{When TRUE, the function prints the Message out, as well as more detailed information about which formatting checks failed.}
}
\value{
Tibble, returned invisibly, containing: (1) Time (time stamp); (2) Name (name of the function); (3) Status (Passed/Failed); (4) Message (A copy of the message the function printed out); (5) Information (Names of variables that fail one of these checks).
}
\description{
This function checks miscellaneous dbGaP formatting requirements to ensure (1) no duplicate variable names; (2) variable names do not contain "dbgap"; (3) there are no duplicate column names in the dictionary; and (4) column names falling after \code{VALUES} column are unnamed.
}
\examples{
# Example 1: Fail check 
data(ExampleJ)
misc_format_check(DD.dict.J, DS.data.J)
print(misc_format_check(DD.dict.J, DS.data.J, verbose=FALSE))

# Example 2: Pass check
data(ExampleA)
misc_format_check(DD.dict.A, DS.data.A)
print(misc_format_check(DD.dict.A, DS.data.A, verbose=FALSE))
}
